POST api/cabreaderapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

CabReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

Required

String length: inclusive between 0 and 100

cab_reader_type_id

globally unique identifier

Required

port_com

integer

None.

baudrate

integer

None.

handshake

integer

Required

read_time_out

integer

None.

write_time_out

integer

None.

pc_id

globally unique identifier

None.

active

boolean

Required

site_id

globally unique identifier

Required

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

Request Formats

application/json, text/json

Sample:
{
  "id": "818ba4b7-46ce-4be9-b383-5f02d07a91e8",
  "name": "sample string 2",
  "cab_reader_type_id": "9636ad3e-98db-4544-9273-19014593b993",
  "port_com": 1,
  "baudrate": 1,
  "handshake": 4,
  "read_time_out": 1,
  "write_time_out": 1,
  "pc_id": "80e9d958-8e4b-4591-a982-7eeac4d70700",
  "active": true,
  "site_id": "16b94a6a-c471-484f-b8c0-6970a1d31705",
  "parity": 7,
  "data_bits": 8,
  "stop_bits": 9
}

application/xml, text/xml

Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <baudrate>1</baudrate>
  <cab_reader_type_id>9636ad3e-98db-4544-9273-19014593b993</cab_reader_type_id>
  <data_bits>8</data_bits>
  <handshake>4</handshake>
  <id>818ba4b7-46ce-4be9-b383-5f02d07a91e8</id>
  <name>sample string 2</name>
  <parity>7</parity>
  <pc_id>80e9d958-8e4b-4591-a982-7eeac4d70700</pc_id>
  <port_com>1</port_com>
  <read_time_out>1</read_time_out>
  <site_id>16b94a6a-c471-484f-b8c0-6970a1d31705</site_id>
  <stop_bits>9</stop_bits>
  <write_time_out>1</write_time_out>
</cab_reader>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"13c4a43f-679d-4fcb-b911-07114a85971d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">13c4a43f-679d-4fcb-b911-07114a85971d</guid>